#include <iostream>
using namespace std;

typedef struct {
	int zarada;
	double porez;
}frilenser;

int main() {
	int n;
	//frilenser niz[2000000];
	cin >> n;
	frilenser* niz = new frilenser[n];
	for (int i = 0; i < n; i++) {
		cin >> niz[i].zarada >> niz[i].porez;
	}

	for (int i = 0; i < n - 1; i++)
		for (int j = 0; j < n - i - 1; j++)
			if (niz[j].porez > niz[j + 1].porez) {
				frilenser t = niz[j];
				niz[j] = niz[j + 1];
				niz[j + 1] = t;
			}

	double suma = 0, max = 0;
	for (int i = 0; i < n; i++) {
		for (int j = i; j < n; j++) {
			suma += niz[j].zarada * (niz[i].porez / 100);
		}
		if (suma >= max) max = suma;
		suma = 0;
	}
	printf("%lf\n", max);

	return 0;
}